Working with Squeak 2.0

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
13 messages Options
Reply | Threaded
Open this post in threaded view
|

Working with Squeak 2.0

Clément Bera-4
 
Hi guys,

I was looking at the old Squeak VMs since they're very simple and helpful to understand basic things.

I wanted to look at Squeak 2.2 image [1], but it seems the folder is corrupted. Can anyone fix it ?

I downloaded the Squeak 2.0 image instead.

I can open the Squeak 2.0 image with the Squeak 3.8.18beta1U VM, found in the 3.8 folder, source and change files work. However, I wanted to use the VMSimulator, in its class comment it is written to use this code to run it:
(InterpreterSimulator new openOn: Smalltalk imageName) test
But I get a SubscriptOutOfBounds error...

I am on Mac OS X.

Do you know what is wrong and how to run the VM Simulator of Squeak 2.0 or Squeak 2.2 ?

I tried other VMs and images but I was not successful...

Thanks for your help,

I CC Bert since he might know the answer to these questions.

Reply | Threaded
Open this post in threaded view
|

Re: Working with Squeak 2.0

fniephaus
 
Hi Clément,

Maybe have a look at SqueakJS (http://squeak.js.org) which can run old Squeak images as well. I find its source code quite easy to read.

Cheers,
Fabio
On Fri, 13 Apr 2018 at 3:15 pm, Clément Bera <[hidden email]> wrote:
 
Hi guys,

I was looking at the old Squeak VMs since they're very simple and helpful to understand basic things.

I wanted to look at Squeak 2.2 image [1], but it seems the folder is corrupted. Can anyone fix it ?

I downloaded the Squeak 2.0 image instead.

I can open the Squeak 2.0 image with the Squeak 3.8.18beta1U VM, found in the 3.8 folder, source and change files work. However, I wanted to use the VMSimulator, in its class comment it is written to use this code to run it:
(InterpreterSimulator new openOn: Smalltalk imageName) test
But I get a SubscriptOutOfBounds error...

I am on Mac OS X.

Do you know what is wrong and how to run the VM Simulator of Squeak 2.0 or Squeak 2.2 ?

I tried other VMs and images but I was not successful...

Thanks for your help,

I CC Bert since he might know the answer to these questions.

Reply | Threaded
Open this post in threaded view
|

Re: Working with Squeak 2.0

David T. Lewis
In reply to this post by Clément Bera-4
 
Hi Clement,

Are you using the old VM code from the Squeak 2 era, or are you using
current code from package 'VMMaker' to run the old image?

In recent years I have tried to keep the VMMaker package and support code
healthy and up to date, but I have put no effort into the simulator, and I
do not expect that it will work very well. The simulation capability in
VMMaker.oscog is much superior to anything you will find in the VMMaker
package. So unfortunately the simulator may not be very useful to you.

On the other hand, the actual code in the VMMaker package is relatively
simple, and if you do a "VMMaker initialize" after loading it, you should
be able to browse generated C code in normal browsers, which may be
helpful for reviewing the code.

Dave


>  Hi guys,
>
> I was looking at the old Squeak VMs since they're very simple and helpful
> to understand basic things.
>
> I wanted to look at Squeak 2.2 image [1], but it seems the folder is
> corrupted. Can anyone fix it ?
>
> I downloaded the Squeak 2.0 image instead.
>
> I can open the Squeak 2.0 image with the Squeak 3.8.18beta1U VM, found in
> the 3.8 folder, source and change files work. However, I wanted to use the
> VMSimulator, in its class comment it is written to use this code to run
> it:
> (InterpreterSimulator new openOn: Smalltalk imageName) test
> But I get a SubscriptOutOfBounds error...
>
> I am on Mac OS X.
>
> Do you know what is wrong and how to run the VM Simulator of Squeak 2.0 or
> Squeak 2.2 ?
>
> I tried other VMs and images but I was not successful...
>
> Thanks for your help,
>
> I CC Bert since he might know the answer to these questions.
>
> [1] http://files.squeak.org/2.2/
>
> --
> Clément Béra
> https://clementbera.github.io/
> https://clementbera.wordpress.com/
>


Reply | Threaded
Open this post in threaded view
|

Re: Working with Squeak 2.0

David T. Lewis
 
Sorry, please disregard, I did not read your note carefully. You clearly
said that you are using the Squeak 3.8.18beta1U VM with the VM code that
is in the older images.

Dave

> Hi Clement,
>
> Are you using the old VM code from the Squeak 2 era, or are you using
> current code from package 'VMMaker' to run the old image?
>
> In recent years I have tried to keep the VMMaker package and support code
> healthy and up to date, but I have put no effort into the simulator, and I
> do not expect that it will work very well. The simulation capability in
> VMMaker.oscog is much superior to anything you will find in the VMMaker
> package. So unfortunately the simulator may not be very useful to you.
>
> On the other hand, the actual code in the VMMaker package is relatively
> simple, and if you do a "VMMaker initialize" after loading it, you should
> be able to browse generated C code in normal browsers, which may be
> helpful for reviewing the code.
>
> Dave
>
>
>>  Hi guys,
>>
>> I was looking at the old Squeak VMs since they're very simple and
>> helpful
>> to understand basic things.
>>
>> I wanted to look at Squeak 2.2 image [1], but it seems the folder is
>> corrupted. Can anyone fix it ?
>>
>> I downloaded the Squeak 2.0 image instead.
>>
>> I can open the Squeak 2.0 image with the Squeak 3.8.18beta1U VM, found
>> in
>> the 3.8 folder, source and change files work. However, I wanted to use
>> the
>> VMSimulator, in its class comment it is written to use this code to run
>> it:
>> (InterpreterSimulator new openOn: Smalltalk imageName) test
>> But I get a SubscriptOutOfBounds error...
>>
>> I am on Mac OS X.
>>
>> Do you know what is wrong and how to run the VM Simulator of Squeak 2.0
>> or
>> Squeak 2.2 ?
>>
>> I tried other VMs and images but I was not successful...
>>
>> Thanks for your help,
>>
>> I CC Bert since he might know the answer to these questions.
>>
>> [1] http://files.squeak.org/2.2/
>>
>> --
>> Clément Béra
>> https://clementbera.github.io/
>> https://clementbera.wordpress.com/
>>
>
>


Reply | Threaded
Open this post in threaded view
|

Re: Working with Squeak 2.0

Bert Freudenberg
In reply to this post by Clément Bera-4
 
On 13 April 2018 at 15:14, Clément Bera <[hidden email]> wrote:
Hi guys,

I was looking at the old Squeak VMs since they're very simple and helpful to understand basic things.

I wanted to look at Squeak 2.2 image [1], but it seems the folder is corrupted. Can anyone fix it ?



I downloaded the Squeak 2.0 image instead.

I can open the Squeak 2.0 image with the Squeak 3.8.18beta1U VM, found in the 3.8 folder, source and change files work. However, I wanted to use the VMSimulator, in its class comment it is written to use this code to run it:
(InterpreterSimulator new openOn: Smalltalk imageName) test
But I get a SubscriptOutOfBounds error...

I am on Mac OS X.

Do you know what is wrong and how to run the VM Simulator of Squeak 2.0 or Squeak 2.2 ?

I tried other VMs and images but I was not successful...

Thanks for your help,

I CC Bert since he might know the answer to these questions.

​I have to admit that I haven't looked into the VM simulator in a long time :(

- Bert -​
Reply | Threaded
Open this post in threaded view
|

Re: Working with Squeak 2.0

Ron Teitelbaum
 
Looks like it was working on 01/07/2017


Ron

On Fri, Apr 13, 2018 at 10:52 AM, Bert Freudenberg <[hidden email]> wrote:
 
On 13 April 2018 at 15:14, Clément Bera <[hidden email]> wrote:
Hi guys,

I was looking at the old Squeak VMs since they're very simple and helpful to understand basic things.

I wanted to look at Squeak 2.2 image [1], but it seems the folder is corrupted. Can anyone fix it ?



I downloaded the Squeak 2.0 image instead.

I can open the Squeak 2.0 image with the Squeak 3.8.18beta1U VM, found in the 3.8 folder, source and change files work. However, I wanted to use the VMSimulator, in its class comment it is written to use this code to run it:
(InterpreterSimulator new openOn: Smalltalk imageName) test
But I get a SubscriptOutOfBounds error...

I am on Mac OS X.

Do you know what is wrong and how to run the VM Simulator of Squeak 2.0 or Squeak 2.2 ?

I tried other VMs and images but I was not successful...

Thanks for your help,

I CC Bert since he might know the answer to these questions.

​I have to admit that I haven't looked into the VM simulator in a long time :(

- Bert -​


Reply | Threaded
Open this post in threaded view
|

Re: Working with Squeak 2.0

Tobias Pape
In reply to this post by fniephaus
 

> On 13.04.2018, at 15:21, Fabio Niephaus <[hidden email]> wrote:
>
> Hi Clément,
>
> Maybe have a look at SqueakJS (http://squeak.js.org) which can run old Squeak images as well. I find its source code quite easy to read.
>
> Cheers,
> Fabio
> On Fri, 13 Apr 2018 at 3:15 pm, Clément Bera <[hidden email]> wrote:
>  
> Hi guys,
>
> I was looking at the old Squeak VMs since they're very simple and helpful to understand basic things.
>
> I wanted to look at Squeak 2.2 image [1], but it seems the folder is corrupted. Can anyone fix it ?

Fixed.
        -t

>
> I downloaded the Squeak 2.0 image instead.
>
> I can open the Squeak 2.0 image with the Squeak 3.8.18beta1U VM, found in the 3.8 folder, source and change files work. However, I wanted to use the VMSimulator, in its class comment it is written to use this code to run it:
> (InterpreterSimulator new openOn: Smalltalk imageName) test
> But I get a SubscriptOutOfBounds error...
>
> I am on Mac OS X.
>
> Do you know what is wrong and how to run the VM Simulator of Squeak 2.0 or Squeak 2.2 ?
>
> I tried other VMs and images but I was not successful...
>
> Thanks for your help,
>
> I CC Bert since he might know the answer to these questions.
>
> [1] http://files.squeak.org/2.2/
>
>
> --
> Clément Béra
> https://clementbera.github.io/
> https://clementbera.wordpress.com/

Reply | Threaded
Open this post in threaded view
|

Re: Working with Squeak 2.0

Stuart Cassoff-2
In reply to this post by Ron Teitelbaum
 
FWIW, I've tried out the 2.8 image with the 2.4 vm, seems to work.

Is there a reason to not prefer the latest of the 2.* ?


Stu


> ---------- Original Message ----------
> From: Ron Teitelbaum <[hidden email]>
> Date: April 13, 2018 at 12:20 PM
>
>
>  Looks like it was working on 01/07/2017
>
> https://web.archive.org/web/20170107074904/http://files.squeak.org:80/2.2/
>
> Ron
>
> On Fri, Apr 13, 2018 at 10:52 AM, Bert Freudenberg <[hidden email]>
> wrote:
>
> >
> > On 13 April 2018 at 15:14, Clément Bera <[hidden email]> wrote:
> >
> >> Hi guys,
> >>
> >> I was looking at the old Squeak VMs since they're very simple and helpful
> >> to understand basic things.
> >>
> >> I wanted to look at Squeak 2.2 image [1], but it seems the folder is
> >> corrupted. Can anyone fix it ?
> >>
> >
> > ​I filed an issue https://github.com/squeak-smalltalk/squeak.org/issues/22
> > ​
> >
> >
> >> I downloaded the Squeak 2.0 image instead.
> >>
> >> I can open the Squeak 2.0 image with the Squeak 3.8.18beta1U VM, found in
> >> the 3.8 folder, source and change files work. However, I wanted to use the
> >> VMSimulator, in its class comment it is written to use this code to run it:
> >> (InterpreterSimulator new openOn: Smalltalk imageName) test
> >> But I get a SubscriptOutOfBounds error...
> >>
> >> I am on Mac OS X.
> >>
> >> Do you know what is wrong and how to run the VM Simulator of Squeak 2.0
> >> or Squeak 2.2 ?
> >>
> >> I tried other VMs and images but I was not successful...
> >>
> >> Thanks for your help,
> >>
> >> I CC Bert since he might know the answer to these questions.
> >>
> >
> > ​I have to admit that I haven't looked into the VM simulator in a long
> > time :(
> >
> > - Bert -​
> >
> >
Reply | Threaded
Open this post in threaded view
|

Re: Working with Squeak 2.0

Clément Bera-4
 
Hi,

On Sat, Apr 14, 2018 at 12:43 AM, Stuart Cassoff <[hidden email]> wrote:
 
FWIW, I've tried out the 2.8 image with the 2.4 vm, seems to work.

Is there a reason to not prefer the latest of the 2.* ?

The image works, my issue was that the VMSimulator did not work.

Well I'm just trying to get an image close to Blue book specs.
 


Stu


> ---------- Original Message ----------
> From: Ron Teitelbaum <[hidden email]>
> Date: April 13, 2018 at 12:20 PM
>
>
>  Looks like it was working on 01/07/2017
>
> https://web.archive.org/web/20170107074904/http://files.squeak.org:80/2.2/
>
> Ron
>
> On Fri, Apr 13, 2018 at 10:52 AM, Bert Freudenberg <[hidden email]>
> wrote:
>
> >
> > On 13 April 2018 at 15:14, Clément Bera <[hidden email]> wrote:
> >
> >> Hi guys,
> >>
> >> I was looking at the old Squeak VMs since they're very simple and helpful
> >> to understand basic things.
> >>
> >> I wanted to look at Squeak 2.2 image [1], but it seems the folder is
> >> corrupted. Can anyone fix it ?
> >>
> >
> > ​I filed an issue https://github.com/squeak-smalltalk/squeak.org/issues/22
> > ​
> >
> >
> >> I downloaded the Squeak 2.0 image instead.
> >>
> >> I can open the Squeak 2.0 image with the Squeak 3.8.18beta1U VM, found in
> >> the 3.8 folder, source and change files work. However, I wanted to use the
> >> VMSimulator, in its class comment it is written to use this code to run it:
> >> (InterpreterSimulator new openOn: Smalltalk imageName) test
> >> But I get a SubscriptOutOfBounds error...
> >>
> >> I am on Mac OS X.
> >>
> >> Do you know what is wrong and how to run the VM Simulator of Squeak 2.0
> >> or Squeak 2.2 ?
> >>
> >> I tried other VMs and images but I was not successful...
> >>
> >> Thanks for your help,
> >>
> >> I CC Bert since he might know the answer to these questions.
> >>
> >
> > ​I have to admit that I haven't looked into the VM simulator in a long
> > time :(
> >
> > - Bert -​
> >
> >



--
Reply | Threaded
Open this post in threaded view
|

Re: Working with Squeak 2.0

David T. Lewis
 
On Sat, Apr 14, 2018 at 06:42:54AM +0200, Cl??ment Bera wrote:

>  
> Hi,
>
> On Sat, Apr 14, 2018 at 12:43 AM, Stuart Cassoff <[hidden email]> wrote:
>
> >
> > FWIW, I've tried out the 2.8 image with the 2.4 vm, seems to work.
> >
> > Is there a reason to not prefer the latest of the 2.* ?
> >
>
> The image works, my issue was that the VMSimulator did not work.
>
> Well I'm just trying to get an image close to Blue book specs.
>
Hi Cl??ment,

I guess that the earliest Squeak images would probably be closest
to blue book.

I tried running Squeak1.13u.image on an interpreter VM on Linux, then
opened that same image in its simulator (see attached screen capture).

I got an out of bounds error that is probably similar to what you
are seeing in the Squeak 2.4 image. It is failing on the very first
oop in #adjustAllOopsBy: and it seems to be going wrong when it
calculates sizeBitsOf: for that oop (which is 8).

   self sizeBitsOf: 8 ==>  631178496

This looks definitely wrong but I do not understand the source of the
problem.

For background, here is a summary of what images can be run on an
interpreter VM (but I have only done this on Linux, I am not sure if
you can build the VM on OS X).

  http://lists.squeakfoundation.org/pipermail/squeak-dev/2017-January/192798.html

You can also use SqueakJS, although will run slower so maybe not as
good for running InterpreterSimulator.

Dave


sq.png (21K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Working with Squeak 2.0

johnmci
 
If you look at ftp://ftp.smalltalkconsulting.com/
That has the Mac compile source from 1996 thru 2010 and a squeak 1.1 

I am sure there are metrowerks disk images about and on a 68K emulator you can compile the earlier VMs  

Sent from my iPhone

On Apr 14, 2018, at 09:27, David T. Lewis <[hidden email]> wrote:

On Sat, Apr 14, 2018 at 06:42:54AM +0200, Cl??ment Bera wrote:

Hi,

On Sat, Apr 14, 2018 at 12:43 AM, Stuart Cassoff <[hidden email]> wrote:


FWIW, I've tried out the 2.8 image with the 2.4 vm, seems to work.

Is there a reason to not prefer the latest of the 2.* ?


The image works, my issue was that the VMSimulator did not work.

Well I'm just trying to get an image close to Blue book specs.


Hi Cl??ment,

I guess that the earliest Squeak images would probably be closest
to blue book.

I tried running Squeak1.13u.image on an interpreter VM on Linux, then
opened that same image in its simulator (see attached screen capture).

I got an out of bounds error that is probably similar to what you
are seeing in the Squeak 2.4 image. It is failing on the very first
oop in #adjustAllOopsBy: and it seems to be going wrong when it
calculates sizeBitsOf: for that oop (which is 8).

  self sizeBitsOf: 8 ==>  631178496

This looks definitely wrong but I do not understand the source of the
problem.

For background, here is a summary of what images can be run on an
interpreter VM (but I have only done this on Linux, I am not sure if
you can build the VM on OS X).

 http://lists.squeakfoundation.org/pipermail/squeak-dev/2017-January/192798.html

You can also use SqueakJS, although will run slower so maybe not as
good for running InterpreterSimulator.

Dave

<sq.png>
Reply | Threaded
Open this post in threaded view
|

Re: Working with Squeak 2.0

Clément Bera-4
 
Just to be clear, I can run Squeak 2 and earlier, my problem is that I cannot run the VM simulator inside it.

I have the exact same error as David T. Lewis, on multiple different VMs & images (Squeak 1.13 to Squeak 2.8).

What is the common piece between those VM and image that break the VM simulator ? Could it be related to the binary read streams ? hum...

Thanks for fixing Squeak 2.2


On Sat, Apr 14, 2018 at 6:35 PM, John McIntosh <[hidden email]> wrote:
 
If you look at ftp://ftp.smalltalkconsulting.com/
That has the Mac compile source from 1996 thru 2010 and a squeak 1.1 

I am sure there are metrowerks disk images about and on a 68K emulator you can compile the earlier VMs  

Sent from my iPhone

On Apr 14, 2018, at 09:27, David T. Lewis <[hidden email]> wrote:

On Sat, Apr 14, 2018 at 06:42:54AM +0200, Cl??ment Bera wrote:

Hi,

On Sat, Apr 14, 2018 at 12:43 AM, Stuart Cassoff <[hidden email]> wrote:


FWIW, I've tried out the 2.8 image with the 2.4 vm, seems to work.

Is there a reason to not prefer the latest of the 2.* ?


The image works, my issue was that the VMSimulator did not work.

Well I'm just trying to get an image close to Blue book specs.


Hi Cl??ment,

I guess that the earliest Squeak images would probably be closest
to blue book.

I tried running Squeak1.13u.image on an interpreter VM on Linux, then
opened that same image in its simulator (see attached screen capture).

I got an out of bounds error that is probably similar to what you
are seeing in the Squeak 2.4 image. It is failing on the very first
oop in #adjustAllOopsBy: and it seems to be going wrong when it
calculates sizeBitsOf: for that oop (which is 8).

  self sizeBitsOf: 8 ==>  631178496

This looks definitely wrong but I do not understand the source of the
problem.

For background, here is a summary of what images can be run on an
interpreter VM (but I have only done this on Linux, I am not sure if
you can build the VM on OS X).

 http://lists.squeakfoundation.org/pipermail/squeak-dev/2017-January/192798.html

You can also use SqueakJS, although will run slower so maybe not as
good for running InterpreterSimulator.

Dave

<sq.png>




--
Reply | Threaded
Open this post in threaded view
|

Re: Working with Squeak 2.0

Nicolai Hess-3-2
 


2018-04-14 21:47 GMT+02:00 Clément Bera <[hidden email]>:
 
Just to be clear, I can run Squeak 2 and earlier, my problem is that I cannot run the VM simulator inside it.

I have the exact same error as David T. Lewis, on multiple different VMs & images (Squeak 1.13 to Squeak 2.8).

What is the common piece between those VM and image that break the VM simulator ? Could it be related to the binary read streams ? hum...

Thanks for fixing Squeak 2.2


Hi Clément,

the earliest vm I can run on Windows(!) is 2.7

For this, I grab the windows vm, image, changes ... from http://ftp.squeak.org/2.7/
Start the vm,
resize the display to make it smaller,
make a snaptshot with a new name 'small.image'
Now I reopen the original image and I can now load the InterpreterSimulatorLSB with that smaller image:

(InterpreterSimulatorLSB new openOn: 'small.image') test




On Sat, Apr 14, 2018 at 6:35 PM, John McIntosh <[hidden email]> wrote:
 
If you look at ftp://ftp.smalltalkconsulting.com/
That has the Mac compile source from 1996 thru 2010 and a squeak 1.1 

I am sure there are metrowerks disk images about and on a 68K emulator you can compile the earlier VMs  

Sent from my iPhone

On Apr 14, 2018, at 09:27, David T. Lewis <[hidden email]> wrote:

On Sat, Apr 14, 2018 at 06:42:54AM +0200, Cl??ment Bera wrote:

Hi,

On Sat, Apr 14, 2018 at 12:43 AM, Stuart Cassoff <[hidden email]> wrote:


FWIW, I've tried out the 2.8 image with the 2.4 vm, seems to work.

Is there a reason to not prefer the latest of the 2.* ?


The image works, my issue was that the VMSimulator did not work.

Well I'm just trying to get an image close to Blue book specs.


Hi Cl??ment,

I guess that the earliest Squeak images would probably be closest
to blue book.

I tried running Squeak1.13u.image on an interpreter VM on Linux, then
opened that same image in its simulator (see attached screen capture).

I got an out of bounds error that is probably similar to what you
are seeing in the Squeak 2.4 image. It is failing on the very first
oop in #adjustAllOopsBy: and it seems to be going wrong when it
calculates sizeBitsOf: for that oop (which is 8).

  self sizeBitsOf: 8 ==>  631178496

This looks definitely wrong but I do not understand the source of the
problem.

For background, here is a summary of what images can be run on an
interpreter VM (but I have only done this on Linux, I am not sure if
you can build the VM on OS X).

 http://lists.squeakfoundation.org/pipermail/squeak-dev/2017-January/192798.html

You can also use SqueakJS, although will run slower so maybe not as
good for running InterpreterSimulator.

Dave

<sq.png>




--